Subject: bug#57807: 29.0.50; Make vc-print-branch-log able to log multiple branches

From: Juri Linkov <[email-masked]>
Date: Wed, 21 Sep 2022 21:52:28 +0300

> I've done something about all these in the attached.  What do you think?

Adding vc-pre-command-functions as a counterpart of the existing
vc-post-command-functions is a nice solution.  I tested everything,
and there are no more problems.  Thanks for implementing this feature.

After you will push it, it would be good also to try to generalize it
to other vc commands.  The problem is that some commands already use C-u
for other purposes, such as 'C-u C-x v L' asks for a limit.  What would be
a possible way to set vc-want-edit-command-p without using a prefix arg?
Maybe to add a new command that will only set vc-want-edit-command-p
for the next vc command, and bind it to e.g. 'C-x v c'.  Then
'C-x v c C-x v L' will allow editing the root log command.